# Create the Command object
basic_cmd = UI::Command.new("Basic") {
   UI.messagebox "Hello from the basic command!"
}

# Command's validation procedure - not useful in this case
basic_cmd.set_validation_proc {
   true ? MF_ENABLED : MF_GRAYED
}

# Configure the Command's appearance
basic_cmd.small_icon = "basic_small.gif"
basic_cmd.large_icon = "basic_large.gif"
basic_cmd.tooltip = "Basic Toolbar Entry"

# Create and configure the Toolbar
basic_toolbar = UI::Toolbar.new "Basic"
basic_toolbar.add_item basic_cmd
basic_toolbar.show