view = Sketchup.active_model.active_view

# Determine the size of the design window
h = view.vpheight.to_s;
w = view.vpwidth.to_s

# Display the window dimensions
puts "Window dimensions: " + w + ", " + h

# Display the locations of the four corners
puts "Upper left: " + view.corner(0)[0].to_s + ", " + 
   view.corner(0)[1].to_s
puts "Upper right: " + view.corner(1)[0].to_s + ", " + 
   view.corner(1)[1].to_s
puts "Bottom left: " + view.corner(2)[0].to_s + ", " + 
   view.corner(2)[1].to_s
puts "Bottom right: " + view.corner(3)[0].to_s + ", " + 
   view.corner(3)[1].to_s
   
# Find the location of the window's center
center = view.center

# Display the coordinates of the window's center
puts "Center: " + center[0].to_s + ", " + center[1].to_s 

# Screen coordinates
origin = view.screen_coords [0,0,0]
puts "Origin: " + origin[0].to_f.to_s + ", " + origin[1].to_f.to_s

# Find out how many units a five-pixel line should take
size = view.pixels_to_model 50, [0, 0, 0]
puts "Size of a 50-pixel line at the origin: " + size.to_s