# Create the new material
mats = Sketchup.active_model.materials
ct_mat = mats.add "Color_Texture"

# Assign the texture and color
ct_mat.texture = Sketchup.find_support_file "Ch6/checker.jpg", "Plugins"
ct_mat.color = "DodgerBlue"

# Draw a Face and set its material
ents = Sketchup.active_model.entities
face = ents.add_face [1, -1, 1], [1, 1, 1], [-1, 1, 1], [-1, -1, 1]
face.material = ct_mat

# Display the average color
puts "The average color is " + ct_mat.texture.average_color.to_s
puts "The material type is " + ct_mat.materialType.to_s