# Create two faces
ents = Sketchup.active_model.entities
face1 = ents.add_face  [1, -1, 1], [1, 1, 1], [-1, 1, 1], [-1, -1, 1]
face2 = ents.add_face  [6, -1, 1], [6, 1, 1], [4, 1, 1], [4, -1, 1]

# Create materials for the two faces
mats = Sketchup.active_model.materials
mat1 = mats.add "Mat1"
mat2 = mats.add "Mat2"
mat1.texture = Sketchup.find_support_file "Ch6/diamond.jpg", "Plugins"
mat2.texture = Sketchup.find_support_file "Ch6/brick.jpg", "Plugins"
face1.material = mat1
face2.material = mat2

# Create the texture writer 
tw = Sketchup.create_texture_writer
tw.load face1, true
tw.load face2, true
path = Sketchup.find_support_file "Plugins", ""
tw.write_all path + "/Ch6/figs", true