# Load the component definition
model = Sketchup.active_model
def_list = model.definitions
def_path = Sketchup.find_support_file "cube.skp", "Components"
comp_def = def_list.load def_path

# Create the component instances
ents = model.entities
inst1 = ents.add_instance comp_def, [0, 0, 0]
inst2 = ents.add_instance comp_def, [1, 1, 1]
puts "Before unique, definition = " + inst2.definition.name
inst2.make_unique
puts "After unique, definition = " + inst2.definition.name