# Create the PagesObserver
class PgObserver < Sketchup::PagesObserver
   # Respond to the user's page change
   def onContentsModified(pages)
      UI.messagebox("Name of the selected page: " + 
         pages.selected_page.label)
   end
end

# Create a page called "One"
pages = Sketchup.active_model.pages
pg1 = pages.add "One"

# Create a page without a name
pg2 = pages.add

# Associate the observer with the Pages object
obs = PgObserver.new
pages.add_observer obs
