# Create the group and set attributes
ents = Sketchup.active_model.entities
car_group = ents.add_group
car_group.set_attribute "car_dict", "num_wheels", 4
car_group.set_attribute "car_dict", "num_seats", 2
car_group.set_attribute "car_dict", "transmission", "manual"

# Access the AttributeDirectories object
ad = car_group.attribute_dictionaries
puts "Number of dictionaries: " + ad.to_a.length.to_s

# Access the AttributeDictionary
dict = car_group.attribute_dictionary "car_dict"
print "Keys: "
dict.keys.each {|k| print k + " "}
print "\nValues: "
dict.values.each {|v| print v.to_s + " "}