# Create the cube
square = Sketchup.active_model.entities.add_face [-2,2,0], 
   [2,2,0], [2,-2,0], [-2,-2,0]
square.pushpull -4

# Access and configure the ShadowInfo object
info = Sketchup.active_model.shadow_info
info["DisplayShadows"] = true
info["DisplayOnGroundPlane"] = true

# Set the location and time
later = Time.now + (60 * 60 * 6) 
info["ShadowTime"] = later
info["Latitude"] = 0
info["Longitude"] = 0